
import com.imsl.chart.*;

public class SampleTreemap extends JFrameChart {

    public SampleTreemap() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);

        double[] areas = {
            6592735, 3855081, 3718691, 3705386,
            3286470, 2967893, 1269338, 1068296
        };

        double[] population = {
            142.893540, 33.098932, 298.444215, 1313.973713,
            188.078227, 20.264082, 1095.351995, 39.930091
        };

        String[] names = {
            "Russia", "Canada", "United States", "China",
            "Brazil", "Australia", "India", "Argentina"
        };

        Treemap treemap = new Treemap(axis, areas, population,
                Colormap.GREEN_WHITE_LINEAR);
        treemap.setLabels(names);
        treemap.setTextColor(java.awt.Color.gray);
        treemap.getTreemapLegend().setPaint(true);
        treemap.getTreemapLegend().setTitle("Pop. (M)");
        treemap.getTreemapLegend().setTextFormat("0");
        axis.setViewport(0.05, 0.8, 0.1, 0.95);
    }

    public static void main(String argv[]) {
        new SampleTreemap().setVisible(true);
    }
}
